python-linting:
  stage: lint
  image: python:3.7
  before_script:
    - pip install poetry --quiet
    - poetry config cache-dir ~/.cache/poetry
    - poetry config virtualenvs.in-project true
    - poetry install --no-interaction --quiet
  script:
    - poetry run isort src/ --check-only --recursive
    - poetry run black src/ --line-length 88 --check
    - poetry run autoflake src/ --check --recursive --remove-all-unused-imports --ignore-init-module-imports
  only:
    refs:
      - development
      - merge_requests

javascript-linting:
  stage: lint
  image: node:12
  before_script:
    - npm install
  script:
    - npm run lint
  only:
    refs:
      - development
      - merge_requests
